[PATCH v3 2/2] perf test: Skip annotate test for sanitizer builds
From: Ian Rogers
Date: Tue Oct 22 2024 - 13:49:03 EST
Symbols vary and the test breaks.
Closes: https://lore.kernel.org/lkml/CAP-5=fU04PAN4T=7KuHA4h+po=oTy+6Nbee-Gvx9hCsEf2Lh0w@xxxxxxxxxxxxxx/
Signed-off-by: Ian Rogers <irogers@xxxxxxxxxx>
---
tools/perf/tests/shell/annotate.sh | 6 ++++++
1 file changed, 6 insertions(+)
diff --git a/tools/perf/tests/shell/annotate.sh b/tools/perf/tests/shell/annotate.sh
index 1590a37363de..199f547e656d 100755
--- a/tools/perf/tests/shell/annotate.sh
+++ b/tools/perf/tests/shell/annotate.sh
@@ -4,6 +4,12 @@
set -e
+if perf check feature -q sanitizer
+then
+ echo "Skip test with sanitizers due to differing assembly code"
+ exit 2
+fi
+
shelldir=$(dirname "$0")
# shellcheck source=lib/perf_has_symbol.sh
--
2.47.0.163.g1226f6d8fa-goog